<?php

class Identifier
{
    private $batch;
    private $serial;
    private $documentGUID;
    private $suggestedFileName;


    /**
     * Get the value of batch
     */ 
    public function getBatch()
    {
        return $this->batch;
    }

    /**
     * Set the value of batch
     *
     * @return  self
     */ 
    public function setBatch($batch)
    {
        $this->batch = $batch;

        return $this;
    }

    /**
     * Get the value of serial
     */ 
    public function getSerial()
    {
        return $this->serial;
    }

    /**
     * Set the value of serial
     *
     * @return  self
     */ 
    public function setSerial($serial)
    {
        $this->serial = $serial;

        return $this;
    }

    /**
     * Get the value of documentGUID
     */ 
    public function getDocumentGUID()
    {
        return $this->documentGUID;
    }

    /**
     * Set the value of documentGUID
     *
     * @return  self
     */ 
    public function setDocumentGUID($documentGUID)
    {
        $this->documentGUID = $documentGUID;

        return $this;
    }

    /**
     * Get the value of suggestedFileName
     */ 
    public function getSuggestedFileName()
    {
        return $this->suggestedFileName;
    }

    /**
     * Set the value of suggestedFileName
     *
     * @return  self
     */ 
    public function setSuggestedFileName($suggestedFileName)
    {
        $this->suggestedFileName = $suggestedFileName;

        return $this;
    }
}
